Bug 490861 - [RFE] Provide rlFakeTerm (simulating terminal for tty-dependent apps)
[RFE] Provide rlFakeTerm (simulating terminal for tty-dependent apps)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
Project: Easy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 07:24 EDT by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-24 11:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2009-03-18 07:24:16 EDT
Let's provide a function rlFakeTerm which simulates a terminal to
the application being tested, so that we could run RHTS tests
conveniently for such tty-dependent applications as well.

Suggested syntax:

    rlFakeTerm command [terminal]

Options:

    * command - a command to run in fake terminal
    * terminal - optional terminal type (default VT100)

Return value: Exit status of the command, no asserts.

Ideas, opinions, hints?
Comment 1 Juraj Marko 2010-10-07 04:39:02 EDT
What about this syntax?

rlFakeTerm command [input] [sleep] [terminal]

Options:
  command - command to run in terminal
  input - simulate input from keyboard, space separated
  sleep - sleep between 2 inputs
  terminal - optional terminal (default VT100)

Please write your suggestions.
Comment 2 Ales Zelinka 2010-10-08 09:09:33 EDT
(In reply to comment #1)
>   input - simulate input from keyboard, space separated
How do I send 'space' then? :)
Comment 3 Juraj Marko 2010-10-11 11:33:38 EDT
$ x="a b c \x20 "
$ for f in $x; do echo -e _"$f"_; done
_a_
_b_
_c_
_ _
Comment 4 Petr Šplíchal 2010-10-20 06:07:38 EDT
(In reply to comment #1)
> What about this syntax?
> 
> rlFakeTerm command [input] [sleep] [terminal]

Sounds fine to me, including the "\x20" space hack.
What will be the default sleep? What about 3 seconds?
Looking forward to having this in production! :-)
Comment 5 Petr Muller 2010-10-20 11:46:25 EDT
If anyone starts implementing this, please assign this bug to yourself and flip to ASSIGNED.
Comment 7 Fedora Admin XMLRPC Client 2014-09-02 08:13:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Dalibor Pospíšil 2015-03-24 11:45:17 EDT
It seems there are no consumers. Can be done using expect/unbuffered. If needed create beaker library.

Note You need to log in before you can comment on or make changes to this bug.